#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python-click
Version		:	8.1.3
Release		:	16.2.0.rel%{?dist}
Summary		:	Simple wrapper around optparse for powerful command line utilities

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://github.com/pallets/click/

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:	python-build
BuildRequires	:	python-installer
BuildRequires	:	python-wheel

#-----------------------------------------------------------------------------
%description
Click is a Python package for creating beautiful command
line interfaces in a composable way with as little code
as necessary.
It's the "Command Line Interface Creation Kit". It's highly
configurable but comes with sensible defaults out of the box.

It aims to make the process of writing command line tools
quick and fun while also preventing any frustration caused
by the inability to implement an intended CLI API.

Click in three points:

	Arbitrary nesting of commands
	Automatic help page generation
	Supports lazy loading of subcommands at runtime

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE.rst
%doc README.rst CHANGES.rst
%{python3_sitelib}/%{sname}/py.typed
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir %{buildroot}				\
	dist/*.whl

#-----------------------------------------------------------------------------
%changelog
